using System;

namespace verseny1
{
    class Program
    {
        static void Main(string[] args)
        {
            string V = Convert.ToString(Console.Read());
            ulong dif = 0;
            

            ulong x = UInt64.Parse(V);
            //faszom

        }

        ulong dif(string inp)
        {
            ulong diff = 0;
            if ((inp[0] == '9') | (inp[0] == '8') | (inp[0] == '7') | (inp[0] == '6') | (inp[0] == '5'))
            {
                diff = Convert.ToUInt64((Math.Pow(10, inp.Length - 1)) * 5);
            }
            else if ((inp[0] == '4') | (inp[0] == '3') | (inp[0] == '2'))
            {
                diff = Convert.ToUInt64((Math.Pow(10, inp.Length - 1)) * 2);
            }
            else if (inp[0] == '1')
            {
                diff = Convert.ToUInt64((Math.Pow(10, inp.Length - 1)) * 1);
            }
            else Console.WriteLine("-1");
            return (diff);
        }


    }
}
/*  for (int i = 0; i < n; i++)
              {
                  byte count = 0;
                  byte exp = 1;
                  if(i % 3 == 0)
                  {
                      mon[i] = Convert.ToUInt64(1 * exp);
                  }
                  if (i % 3 == 1)
                  {
                      mon[i] = Convert.ToUInt64(2 * exp);
                  }
                  if (i % 3 == 2)
                  {
                      mon[i] = Convert.ToUInt64(5 * exp);
                  }
                  exp = Convert.ToByte(exp * 10);
                                  }*/